* Update to 3.0.0.

* Some build cleanups. [1]

Submitted by:	bapt@ [1]
This commit is contained in:
Maho Nakata 2013-01-08 06:53:51 +00:00
parent 9dfbb5ce5b
commit 8d7dab3978
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=310071
4 changed files with 8 additions and 175 deletions

View file

@ -2,17 +2,15 @@
# $FreeBSD$
PORTNAME= libghemical
PORTVERSION= 2.99.1
PORTREVISION= 3
PORTVERSION= 3.0.0
CATEGORIES= science
MASTER_SITES= http://www.uku.fi/~thassine/projects/download/release20090911/ \
http://bioinformatics.org/ghemical/download/
MASTER_SITES= http://bioinformatics.org/ghemical/download/release20111012/ \
http://bioinformatics.org/ghemical/download/current
MAINTAINER= maho@FreeBSD.org
COMMENT= Support libraries of science/ghemical port
BUILD_DEPENDS= obabel:${PORTSDIR}/science/openbabel \
mopac7:${PORTSDIR}/biology/mopac \
intltool-update:${PORTSDIR}/textproc/intltool \
ld:${PORTSDIR}/devel/binutils
LIB_DEPENDS+= mpqc:${PORTSDIR}/science/mpqc \

View file

@ -1,2 +1,2 @@
SHA256 (libghemical-2.99.1.tar.gz) = f9b6df3c1e98a524f90644ebaaebb804792f391ca383c0f92b609060dc485d9f
SIZE (libghemical-2.99.1.tar.gz) = 778812
SHA256 (libghemical-3.0.0.tar.gz) = db8c3add0aa1f94c21016d60fa3f66fb194e56b8e9fceaa3860c603700efc3ac
SIZE (libghemical-3.0.0.tar.gz) = 787947

View file

@ -1,167 +0,0 @@
--- configure 2009-09-11 21:25:42.000000000 +0900
+++ configure 2010-09-19 11:02:25.000000000 +0900
@@ -22644,144 +22644,8 @@
if test $enable_mpqc = yes; then
-
-{ echo "$as_me:$LINENO: checking for main in -lblas" >&5
-echo $ECHO_N "checking for main in -lblas... $ECHO_C" >&6; }
-if test "${ac_cv_lib_blas_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lblas $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-
-int
-main ()
-{
-return main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest$ac_exeext &&
- $as_test_x conftest$ac_exeext; then
- ac_cv_lib_blas_main=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_cv_lib_blas_main=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_blas_main" >&5
-echo "${ECHO_T}$ac_cv_lib_blas_main" >&6; }
-if test $ac_cv_lib_blas_main = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBBLAS 1
-_ACEOF
-
- LIBS="-lblas $LIBS"
-
-else
- { { echo "$as_me:$LINENO: error: Cannot find blas library needed for MPQC support" >&5
-echo "$as_me: error: Cannot find blas library needed for MPQC support" >&2;}
- { (exit 1); exit 1; }; }
-fi
-
-
-{ echo "$as_me:$LINENO: checking for main in -llapack" >&5
-echo $ECHO_N "checking for main in -llapack... $ECHO_C" >&6; }
-if test "${ac_cv_lib_lapack_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-llapack $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-
-int
-main ()
-{
-return main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest$ac_exeext &&
- $as_test_x conftest$ac_exeext; then
- ac_cv_lib_lapack_main=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_cv_lib_lapack_main=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_lapack_main" >&5
-echo "${ECHO_T}$ac_cv_lib_lapack_main" >&6; }
-if test $ac_cv_lib_lapack_main = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBLAPACK 1
-_ACEOF
-
- LIBS="-llapack $LIBS"
-
-else
- { { echo "$as_me:$LINENO: error: Cannot find lapack library needed for MPQC support" >&5
-echo "$as_me: error: Cannot find lapack library needed for MPQC support" >&2;}
- { (exit 1); exit 1; }; }
-fi
-
+ #AC_CHECK_LIB([blas], [main],, AC_MSG_ERROR([Cannot find blas library needed for MPQC support]))
+ #AC_CHECK_LIB([lapack], [main],, AC_MSG_ERROR([Cannot find lapack library needed for MPQC support]))
# Check whether --with-sc-prefix was given.
if test "${with_sc_prefix+set}" = set; then
@@ -23125,7 +22989,7 @@
#define SC_MICRO_VERSION $SC_MICRO_VERSION
_ACEOF
- CPPFLAGS="$CPPFLAGS $SC_CPPFLAGS"
+ CXXFLAGS="$CXXFLAGS $SC_CPPFLAGS"
LIBS="$LIBS $SC_LIBS"
else { { echo "$as_me:$LINENO: error: Cannot find proper SC version" >&5
echo "$as_me: error: Cannot find proper SC version" >&2;}
@@ -23254,7 +23118,7 @@
##alt MOPAC7_CFLAGS=`$PKG_CONFIG --cflags libmopac7`
##alt MOPAC7_LIBS=`$PKG_CONFIG --libs libmopac7`
- CPPFLAGS="$CPPFLAGS $MOPAC7_CFLAGS"
+ CXXFLAGS="$CXXLAGS $MOPAC7_CFLAGS"
LIBS="$LIBS $MOPAC7_LIBS"
REQUISITIONS="$REQUISITIONS libmopac7"

View file

@ -68,9 +68,11 @@ share/libghemical/%%LIBGHEMICAL_VERSION%%/param_mm/tripos52/parameters5.txt
share/libghemical/%%LIBGHEMICAL_VERSION%%/param_sf/default/loopdip.txt
share/libghemical/%%LIBGHEMICAL_VERSION%%/param_sf/default/looptor.txt
share/libghemical/%%LIBGHEMICAL_VERSION%%/param_sf/default/nonbonded.txt
share/locale/de/LC_MESSAGES/libghemical.mo
share/locale/fi/LC_MESSAGES/libghemical.mo
share/locale/mk/LC_MESSAGES/libghemical.mo
share/locale/pt_BR/LC_MESSAGES/libghemical.mo
share/locale/ru/LC_MESSAGES/libghemical.mo
share/locale/sq/LC_MESSAGES/libghemical.mo
@dirrm share/libghemical/%%LIBGHEMICAL_VERSION%%/param_sf/default
@dirrm share/libghemical/%%LIBGHEMICAL_VERSION%%/param_sf